#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Nov 26 09:58:05 2018

@author: luissalamanca
"""

# Code to run the extraction of the XML files from the original pdfs

import os, sys

sys.path.append('../src/python/')

import def_classes as defc
import utils_proc

import numpy as np
import time


# The input parameters are simply the year and the folder of the database
input_file = sys.argv[1]
output_file = sys.argv[2]

# Name tar out
name_tar_out = output_file.split('/')[-1].split('.tar.gz')[0]

#
year_tocomp = input_file.split('/')[-2]
folder_database = input_file.split(year_tocomp)[0]

# Start of computation
t1 = time.time()

name_tar_file = input_file.split('/')[-1].split('.tar.gz')[0]
files_proc, _ = utils_proc.get_list(year_tocomp, folder_database, name_tar_file)

list_proc = list()
for infile in files_proc:

    # 8 is always the length of the id code
    infile_aux = year_tocomp + '/' + infile.split('/')[-1][:8] + '.pdf'
    if infile_aux not in list_proc:
        list_proc.append(infile_aux)
        d1 = defc.Document(infile_aux, folder_database)
        try :
            d1.correct_xml(flag_plots = 0, flag_parallel = 0, flag_save_figs = 0, name_outxml = name_tar_file,
                           name_outcorrxml = name_tar_out)
            #print('Corrected %s' % infile)
        except:
            print("File to correct %s prompted an error" % infile)

# Commands to get the compressed version of the file
#data/AB/${year}/02_extractedxml.tar.gz
utils_proc.compress_tar(output_file)            

print('Total time for correction of year %d: %f' % (int(year_tocomp) ,(time.time() - t1)))
